# Driver.conf file for Intel e1000g Gigabit Ethernet Adapter
# 
# Copyright (c) 2002, by Intel, Inc.
# All Rights Reserved.
#
#ident "@(#)e1000g.conf 1.1     98/09/22 Intel"
#
# Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
# Use is subject to license terms.
#
# ident	"@(#)e1000g.conf	1.4	06/03/06 SMI"
#
ForceSpeedDuplex=7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7;
        # This will force Speed and Duplex for following settings for a typical instance.
        # 1 will set the 10 Mbps speed and Half Duplex mode.
        # 2 will set the 10 Mbps speed and Full Duplex mode.
        # 3 will set the 100 Mbps speed and half Duplex mode.
        # 4 will set the 100 Mbps speed and Full Duplex mode.
        # 7 will let adapter autonegotiate.     
AutoNegAdvertised=0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0;
        # This parameter determines the speed/duplex options that will be
        # advertised during auto-negotiation. This is a bitmap with the 
        # following settings.
        # Bit    |  7  |  6  |   5   |   4   |  3   |  2   |  1  |  0
        # Setting| N/A | N/A | 1000F |  N/A  | 100F | 100H | 10F | 10H
        #
        # For example:
        # To advertise 10 Half only AutoNegAdvertised   =  1
        # To advertise 10 Full only AutoNegAdvertised   =  2            
        # To advertise 10 Half/Full AutoNegAdvertised   =  3
        # To advertise 100 Half only AutoNegAdvertised  =  4
        # To advertise 100 Full only AutoNegAdvertised  =  8
        # To advertise 100 Half/Full AutoNegAdvertised  = 12
        # To advertise 1000 Full only AutoNegAdvertised = 32    
        # To advertise all speeds AutoNegAdvertised     = 47             
MaxFrameSize=0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0;
        # 0 is for normal ethernet frames.
        # 1 is for upto 4k size frames.
        # 2 is for upto 8k size frames.
        # 3 is for upto 16k size frames.
        # These are maximum frame limits, not the actual ethernet frame
        # size. Your actual ethernet frame size would be determined by
        # protocol stack configuration (please refer to ndd command man pages)
        # For Jumbo Frame Support (9k ethernet packet) 
        # use 3 (upto 16k size frames)
FlowControl=3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3;
        # 0:  Flow control is completely disabled
        # 1:  Rx flow control is enabled (we can receive pause frames
        #     but not send pause frames).
        # 2:  Tx flow control is enabled (we can send pause frames
        #     but we do not receiving pause frames).
        # 3:  Both Rx and TX flow control (symmetric) is enabled.
        # 4:  No software override.  The flow control configuration
        #     in the EEPROM is used.
TbiCompatibilityEnable=1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1;
        # 1 turns it on and 0 turns it off.
        # Some switches as Cisco 6500/Foundary still operate in TBI mode. 
        # This setting will fix the problems seen with odd byte packets.
        # This setting is valid only for 82543GC based copper adapters.
SetMasterSlave=0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0;
	# 0 sets to hardware default
	# 1 forces master
	# 2 forces slave
	# 3 forces auto
	# This setting controls the PHY master/slave setting. Manually forcing
	# master or slave can help reduce time to link with some switches
	# (Planex 08TX and IO Data switches).  It is recommended that this 
        # setting remain at the hardware default. 
